# Generated by Django 3.1.7 on 2021-03-01 22:29

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('spritju', '0006_auto_20190311_1026'),
    ]

    operations = [
        migrations.CreateModel(
            name='Generator',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('full_name', models.CharField(max_length=150)),
                ('email', models.EmailField(max_length=255)),
                ('address', models.TextField(blank=True, max_length=500, null=True)),
                ('phone', models.CharField(max_length=100)),
                ('registration_date', models.DateTimeField(auto_now=True)),
                ('energy_type', models.CharField(choices=[('Solar', 'Solar'), ('Hydro', 'Hydro'), ('Wind', 'Wind')], max_length=5)),
            ],
        ),
    ]
